import { JsonMap } from '@salesforce/ts-types';
export declare abstract class Deauthorizer<T = JsonMap> {
    removeAll(): Promise<Deauthorizer.Result>;
    /**
     * This method should return a list of all the environments a deauthorizer could deauthorize.
     */
    abstract find(): Promise<Record<string, T>>;
    /**
     * This method should deauthorize an environment.
     */
    abstract remove(id: string): Promise<boolean>;
}
export declare namespace Deauthorizer {
    type Result = {
        successes: string[];
        failures: string[];
    };
}
