"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Deauthorizer = void 0;
class Deauthorizer {
    async removeAll() {
        const result = {
            successes: [],
            failures: [],
        };
        const environments = await this.find();
        for (const id of Object.keys(environments)) {
            try {
                await this.remove(id);
                result.successes.push(id);
            }
            catch {
                result.failures.push(id);
            }
        }
        return result;
    }
}
exports.Deauthorizer = Deauthorizer;
//# sourceMappingURL=deauthorizer.js.map