"use strict";
/*
 * Copyright (c) 2021, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SfHook = void 0;
const cli_ux_1 = require("cli-ux");
const kit_1 = require("@salesforce/kit");
class SfHook {
    static async run(config, hookName, options = {}) {
        const timeout = kit_1.Duration.milliseconds(kit_1.env.getNumber('SF_HOOK_TIMEOUT_MS') || 5000);
        const results = await config.runHook(hookName, options, timeout.milliseconds);
        results.failures.forEach((failure) => {
            cli_ux_1.cli.debug(`Failed to run ${hookName} hook for ${failure.plugin.name}`);
            cli_ux_1.cli.debug(failure.error.toString());
        });
        return results;
    }
}
exports.SfHook = SfHook;
//# sourceMappingURL=hooks.js.map